Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Am using a CentOS 5.3 box as prod server and am trying to get mono running there. after much sifting i managed to install version 2.10.2 via yum. i installed also xsp and mod_mono the same way and created a simple hello world web page. thing is its not running. iam guessing something is up with my config files which are responsible for this. Being a newbie on both linux and apache configuration, i dont know whats wrong.

I have tried to follow some relative responses on the site but i cant get it work. So here is what ive done:

installed mono, xsp and mod_mono via yum; added to httpd.conf (mine is in /usr/local/apache/conf)

Include "/usr/local/apache/conf.d/*.conf"

then i created the following /usr/local/apache/conf.d/mod_mono.conf file :

MonoAutoApplication enabled 
LoadModule mono_module /usr/lib/httpd/modules/mod_mono.so
AddType application/x-asp-net .aspx
AddType application/x-asp-net .asmx
AddType application/x-asp-net .ashx
AddType application/x-asp-net .asax
AddType application/x-asp-net .ascx
AddType application/x-asp-net .soap
AddType application/x-asp-net .rem
AddType application/x-asp-net .axd
AddType application/x-asp-net .cs
AddType application/x-asp-net .config
AddType application/x-asp-net .Config
AddType application/x-asp-net .dll
DirectoryIndex index.aspx
DirectoryIndex Default.aspx
DirectoryIndex default.aspx
Alias /gpsmapper /usr/local/apache/htdocs/gpsmapper
MonoApplications "/gpsmapper:/usr/local/apache/htdocs/gpsmapper"
MonoServerPath "/opt/novell/mono/lib/mono/4.0/mod-mono-server4.exe"    
<Location /gpsmapper>
    SetHandler mono
</Location>

i created an index.aspx under htdocs/gpsmapper but am getting a 503 Service temporarily unavailable.

Is any setting i made wrong?

share|improve this question
add comment

1 Answer

Use fastcgi-mono-server2 or fastcgi-mono-server2. I must warn in Centos 5.x (even 6) won't be easy due to current package support.

I've a successful setup on Ubuntu server running mono 2.10.5 and I know that can also be achieved on Fedora 15.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.